
.lt-xbutton-main-wrapper {
    right: 80px;
    bottom: 80px;
    position: fixed;
    z-index: 999;
    transform-style: preserve-3d;
    display: none;

    * {
        box-sizing: content-box;
    }

    @media (min-width: 750px) {
        display: block;
    }
}

.lt-xbutton-main-wrapper.active-timer .lt-xbutton {
    opacity: 0;
    transition: opacity .5s;
    z-index: -1;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    transform: scale(1);
    z-index: 999;
    transition: transform .2s ease 0s;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses:hover .lt-xwidget-close {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-close {
    position: absolute;
    right: -2px;
    top: -13px;
    font-size: 22px;
    width: 20px;
    height: 20px;
    line-height: 22px;
    text-align: center;
    color: #fff;
    filter: alpha(opacity=0);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    transition: .5s;
    border-radius: 50%;
    background-clip: padding-box;
    background-image: linear-gradient(top, rgba(0,0,0,0.15) 0, rgba(0,0,0,0.3) 100%);
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-close .lt-xwidget-close__icon {
    color: #5e6062;
    display: block;
    cursor: pointer;
    position: relative;
    z-index: 99;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-close .lt-xwidget-close__icon:before {
    color: #eee;
    content: "×";
    display: block;
    font-size: 22px;
    font-style: normal;
    cursor: pointer;
    position: relative;
    z-index: 99;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-close .lt-xwidget-close__icon:hover:before {
    color: #fff;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-spiner-left {
    border-radius: 73px 0 0 73px;
    z-index: 200;
    animation: spinner 14s linear forwards;
    border: 6px solid #30d8b2;
    border-right: none;
    left: -100%;
    transform-origin: 100% 50%;
}

.lt-xbutton-main-wrapper.active-timer .lt-xwidget-caller-statuses .lt-xwidget-spiner-right {
    border-radius: 0 73px 73px 0;
    left: 100%;
    z-index: 100;
    animation: fill 14s linear 14s forwards;
    border: 6px solid #30d8b2;
    border-left: none;
    transform-origin: 0 50%;
}

.lt-xbutton-main-wrapper .lt-xwidget-caller-statuses {
    font-family: "Open Sans", Arial, serif;
    background: url(/img/predict/ie-bg.png) 0 0;
    background: none repeat scroll 0 0 rgba(0,0,0,0.62);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    -moz-background-clip: padding;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    color: #fff;
    width: 140px;
    padding: 0;
    margin-bottom: 0;
    margin-right: 0;
    height: 140px;
    position: absolute;
    bottom: -38px;
    right: -38px;
}

.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses {
    background-image: linear-gradient(top, #41d5d3, #23bc9a);
    transition: 1s background;
}

.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-xwidget-spiner-min {
    display: none;
}

.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-call-is-on,.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-xwidget-counter,.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-xwidget-caller-on,.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-caller-on {
    filter: alpha(opacity=0);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    transition: 1s opacity;
    z-index: -1;
}

.lt-xbutton-main-wrapper.lt-call-is-on .lt-xwidget-caller-statuses .lt-xwidget-caller {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    transition: 1s opacity;
    z-index: 10;
}

.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses {
    background-image: linear-gradient(top, #41d5d3, #23bc9a);
    transition: 1s background;
}

.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-xwidget-spiner-min {
    display: none;
}

.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-call-is-on,.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-xwidget-counter,.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-xwidget-caller-on,.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-caller-on {
    filter: alpha(opacity=0);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    transition: 1s opacity;
    z-index: -1;
}

.lt-xbutton-main-wrapper.lt-caller-on .lt-xwidget-caller-statuses .lt-xwidget-caller-on {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    transition: 1s opacity;
    z-index: 10;
}

.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses {
    background-image: linear-gradient(top, #ed4848, #d32b2b);
}

.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-call-is-on,.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-xwidget-counter,.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-xwidget-caller-on,.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-caller-on {
    filter: alpha(opacity=0);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    transition: 1s opacity;
    z-index: -1;
}

.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-xwidget-spiner-min {
    display: none;
}

.lt-xbutton-main-wrapper.lt-call-error .lt-xwidget-caller-statuses .lt-xwidget-caller-error {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    transition: 1s opacity;
    z-index: 10;
}

.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses {
    background-image: linear-gradient(top, #ed4848, #d32b2b);
}

.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-call-is-on,.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-xwidget-caller-on,.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-xwidget-caller,.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-xwidget-counter,.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-caller-on {
    filter: alpha(opacity=0);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    transition: 1s opacity;
    z-index: -1;
}

.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-xwidget-spiner-min {
    display: none;
}

.lt-xbutton-main-wrapper.lt-call-busy .lt-xwidget-caller-statuses .lt-xwidget-caller-busy {
    filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    transition: 1s opacity;
    z-index: 10;
}

.lt-xbutton {
    font-family: "Open Sans", Arial, serif;
    width: 58px;
    height: 58px;
    position: relative;
    text-align: left;
    transition: width .5s ease-in-out,box-shadow .3s ease-in-out;
    box-shadow: 0 0 0 0 rgba(0,0,0,0),0 0 0 0 rgba(0,0,0,0);
    background: #fff;
    border-radius: 66px;
    background-clip: padding-box;
    animation: buttonShow .7s both ease-in-out 1;
}

.lt-xbutton-btn {
    top: 0;
    right: 0;
    z-index: 300;
    width: 58px;
    height: 58px;
    cursor: pointer;
    position: absolute;
}

.lt-xbutton * {
    margin: 0;
    padding: 0;
    font-style: normal;
    box-sizing: content-box;
}

.lt-xbutton .lt-xbutton-flash {
    width: 58px;
    height: 58px;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 50%;
    background-clip: padding-box;
}

.lt-xbutton .lt-xbutton-flash.lt-flash-left {
    animation: iconAnim 2s both ease-in-out infinite;
}

.lt-xbutton .lt-xbutton-flash.lt-flash-right {
    animation: iconAnimtwo 2s both ease-in-out infinite;
}

.lt-xbutton .lt-xbutton-dialler {
    position: absolute;
    top: -8px;
    left: -8px;
    width: 74px;
    height: 74px;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half {
    position: absolute;
    width: 50%;
    top: 0;
    bottom: 0;
    overflow: hidden;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half.half-left {
    left: 0;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half.half-right {
    right: 0;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half .lt-xbutton-dialler-pie {
    border: 1px solid var(--color-primary);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-clip: padding-box;
    width: 36px;
    height: 72px;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half .lt-xbutton-dialler-pie.pie-left {
    border-radius: 76px 0 0 76px;
    border-right: none;
    transform: rotate(-180deg);
    transform-origin: 100% 50%;
    animation: pie-left 4s both linear infinite;
}

.lt-xbutton .lt-xbutton-dialler .lt-xbutton-dialler-half .lt-xbutton-dialler-pie.pie-right {
    border-radius: 0 76px 76px 0;
    border-left: none;
    transform: rotate(180deg);
    transform-origin: 0 50%;
    animation: pie-right 4s both linear infinite;
}

.lt-xbutton .lt-xbutton-form {
    width: auto;
}

.lt-xbutton .lt-xbutton-wrapper {
    overflow: hidden;
    height: 66px;
 //   border-radius: 0 50% 50% 0;
    background-clip: padding-box;
}

.lt-xbutton .lt-xbutton-wrapper .lt-xbutton-txt {
    font-size: 15px;
    line-height: 17px;
    font-weight: 400;
    float: left;
    width: 140px;
    margin: 14px 100px;
    color: #4c4c4c;
    opacity: 0;
}

.lt-xbutton .lt-xbutton-form-group {
    width: 220px;
    float: left;
    margin: 10px 0 0 10px;
    background-clip: padding-box;
}

.lt-xbutton .lt-xbutton-wrapper .lt-xbutton-input {
    border: 1px solid #f5f5f5;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.07);
    font-size: 12px;
    height: 26px;
    padding: 0 10px;
    outline: none !important;
    background: #fff;
    color: #000;
    width: 195px;
    border-radius: 3px;
    background-clip: padding-box;

    &:focus {
        border: 1px solid rgba(0,0,0,0.3);
    }
}

.lt-xbutton .lt-xbutton-wrapper .lt-xbutton-input:focus {
    outline: none !important;
    border: 1px solid #a6c8ff;
    box-shadow: 0 0 0 1px #a6c8ff,inset 0 1px 1px rgba(0,0,0,0.07);
}

.lt-xbutton .lt-xbutton-wrapper .lt-xbutton-input::-ms-clear {
    display: none;
}

.lt-xbutton .lt-xbutton-wrapper .lt-xbutton-bttn {
    background: none repeat scroll 0 0 padding-box var(--color-primary);
    border-radius: 50%;
    background-clip: padding-box;
    width: 46px;
    height: 46px;
    color: #fff;
    position: relative;
    border: none;
    font-size: 30px;
    opacity: 0;
    text-align: center;
}

.lt-xbutton .lt-xbutton-icons {
    text-align: center;
    height: 54px;
    width: 54px;
    border: 2px solid var(--color-primary);
    border-radius: 54px;
    background-clip: padding-box;
    transform: rotate(0);
    transition: transform .5s,border-color .5s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.lt-xbutton .lt-xbutton-icons .lt-xbutton-phone-icon {
    font-size: 0;
    line-height: 0;
    height: 30px;
    display: inline-block;
    fill: var(--color-primary);
    flex-shrink: 0;
}

.lt-xbutton.lt-xbutton-active {
    box-shadow: 0 1px 3px 0 rgba(0,0,0,0.24),0 5px 35px 0 rgba(0,0,0,0.3);
    width: 540px;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-btn {
    display: none;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-close {
    display: block;
    opacity: 1;
    transition: .5s
}

.lt-xbutton.lt-xbutton-active  label{
    display: inline-block;
    opacity: 1;
    transition: .5s
}

.lt-xbutton.lt-xbutton-active  label span {
    opacity: 1;
    transition: 1s;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-flash {
    animation: none;
    border-radius: 50%;
    background-clip: padding-box;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-dialler {
    display: none;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-icons {
    transform: rotate(-360deg);
    border-color: #fff;
    transition: transform .5s,border-color .5s;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-icons:hover .lt-xbutton-close-button {
    display: block;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-icons {
    float: left;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-txt {
    margin: 11px 0;
    opacity: 1;
    transition: margin 1s,opacity 1s;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-bttn {
    outline: none;
    opacity: 1;
    z-index: 9;
    transition: opacity 1s;
    cursor: pointer;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-bttn:active {
    padding: 0;
    margin: 0;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-bttn .lt-xbutton-bttn-flur {
    animation: flur 2s both ease-in-out infinite;
    background: rgba(255,255,255,0.6);
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 46px;
    height: 46px;
    transform: scale(0);
    border-radius: 50%;
    background-clip: padding-box;
}

.lt-xbutton.lt-xbutton-active .lt-xbutton-bttn-wrap {
    position: absolute;
    top: 5px;
    right: 61px;
    left: auto;
    transition: right .5s;
}

.lt-xbutton .lt-xbutton-status-busy {
    position: absolute;
    left: 100%;
    top: 0;
    height: 58px;
    background: none repeat scroll 0 0 #fff;
    display: block;
    overflow: hidden;
    width: 0;
    padding: 0;
    opacity: 0;
    border-radius: 0 58px 58px 0;
    background-clip: padding-box;
}

.lt-xbutton .lt-xbutton-status-busy-txt {
    margin-left: 10px;
    line-height: 16px;
    margin-top: 15px;
    white-space: nowrap;
}

.lt-xbutton .lt-xbutton-status-busy-txt .lt-xbutton-status-busy-txt-h1 {
    margin: 0;
    font-size: 14px;
    padding: 0;
    line-height: 16px;
}

.lt-xbutton .lt-xbutton-status-busy-txt .lt-xbutton-status-busy-txt-p {
    font-size: 12px;
    padding: 0;
    margin: 0;
    line-height: 16px;
}

.lt-xbutton .lt-xbutton-call-recuest-icon {
    line-height: 0;
    opacity: 0;
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background-clip: padding-box;
    border: 1px solid #30d8b2;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.lt-xbutton .lt-xbutton-call-recuest-icon:after {
    content: "\f095";
    font-size: 12px;
    color: #506467;
    font-family: FontAwesome;
    position: absolute;
    top: 21px;
    font-size: 28px;
    left: 7px;
}

.lt-xbutton .lt-xbutton-call-recuest-icon:before {
    content: "\f060";
    font-size: 10px;
    font-family: FontAwesome;
    color: #30d8b2;
    position: absolute;
    top: 15px;
    left: 19px;
    transform: rotate(-45deg);
}

.lt-xbutton.lt-status-busy .lt-xbutton-bttn-wrap {
 //   right: 88%;
}
.lt-xbutton.lt-status-busy .lt-xbutton-bttn-wrap .lt-xbutton-call-recuest-icon {
 //   opacity: 1;
}

.lt-xbutton.lt-status-busy .lt-xbutton-status-busy {
    left: 58px;
    width: calc(100% - 58px);
    opacity: 1;
    transition: left .5s,width .5s,opacity .5s;
}

.lt-xbutton.lt-status-busy .lt-xbutton-form-group {
    opacity: 0;
    visibility: hidden;
}

.lt-xbutton.lt-status-busy  .lt-xbutton-icons {
    z-index: 800;
}

.lt-xbutton.lt-status-busy .lt-xbutton-bttn {
    opacity: 0;
    transition: opacity .5s;
}

.lt-xbutton-close {
    top: 0;
    right: 0;
    position: absolute;
    display: none;
    opacity: 1;
    transition: .5s
}


.lt-xbutton .lt-xbutton-close-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 5px;
    float: right;
    right: 9px;
    z-index: 200;
    color: #d4d4d4;
    border: 1px solid #d4d4d4;
    width: 46px;
    height: 46px;
    line-height: 44px;
    text-align: center;
    font-size: 32px;
    background: #fff;
    cursor: pointer;
    border-radius: 50%;
    background-clip: padding-box;
}

.lt-xbutton {

    label {
        color: #a4a7aa;
        font-size: 9px;
        font-weight: 400;
        line-height: 10px;
        padding-left: 16px;
        display: none;
        position: relative;
        vertical-align: middle;
        opacity: 0;
        transition: 1s;

        .icr-item {
            display: none !important;
        }

        a {
            color: #a4a7aa;
            text-decoration: underline;
        }

        span {
            opacity: 0;
            transition: 1s;
        }

        .icr-hidden {
            display: none;
        }

        &:after,
        &:before {
            top: 0;
            left: 0;
            z-index: 20;
            content: '';
            width: 10px;
            height: 10px;
            position: absolute;
        }

        &:after {
            display: none;
            background: url("../img/com__icon_check.png") 50% 50% no-repeat;
        }

        &:before {
            display: inline-block;
            border: 1px solid #a4a7aa;
        }

        &.checked {

            &:after {
                display: inline-block;
            }
        }
    }
}

.lt-xbutton-close-icon {
    font-size: 0;
    line-height: 0;
    flex-shrink: 0;
    height: 46px;
    display: inline-block;
    fill: var(--color-primary);
}

.lt-xbutton-ok-icon {
    font-size: 0;
    line-height: 0;
    flex-shrink: 0;
    width: 46px;
    height: 46px;
    flex-shrink: 0;
    display: inline-block;
    fill: var(--color-light);
}

@keyframes pie-left {
    0% {
        transform: rotate(-180deg);
    }

    10% {
        transform: rotate(-180deg);
    }

    20% {
        transform: rotate(0);
    }

    30% {
        transform: rotate(0);
    }

    40% {
        transform: rotate(180deg);
    }

    50% {
        transform: rotate(180deg);
    }

    100% {
        transform: rotate(180deg);
    }
}

@keyframes pie-right {
    0% {
        transform: rotate(-180deg);
    }

    10% {
        transform: rotate(0);
    }

    20% {
        transform: rotate(0);
    }

    30% {
        transform: rotate(180deg);
    }

    40% {
        transform: rotate(180deg);
    }

    50% {
        transform: rotate(180deg);
    }

    100% {
        transform: rotate(180deg);
    }
}

@keyframes iconAnim {
    0% {
        box-shadow: 0 0 0 0 rgba(255,255,255,0);
    }

    30% {
        box-shadow: 0 0 0 12px rgba(48,216,178,0.1);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(255,255,255,0);
    }
}

@keyframes iconAnimtwo {
    0% {
        box-shadow: 0 0 0 0 rgba(255,255,255,0);
    }

    70% {
        box-shadow: 0 0 0 16px rgba(48,216,178,0.1);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(255,255,255,0);
    }
}

@keyframes iconAnimt {
    0% {
        transform: scale(1);
    }

    70% {
        transform: scale(1.5);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes flur {
    0% {
        transform: scale(0);
        opacity: 1;
    }

    70% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1.1);
        opacity: 0;
    }
}

@keyframes buttonShow {
    0% {
        transform: scale(0);
    }

    70% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes spinner {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(180deg);
    }
}

@keyframes fill {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(180deg);
    }
}

@keyframes animate-img {
    from {
        margin-left: 0;
    }

    to {
        margin-left: -164px;
    }
}
